import { Advent22Plugin } from "@/plugins/advent22";
import { FontAwesomePlugin } from "@/plugins/fontawesome";
import { advent22Store } from "@/plugins/store";
import { createPinia } from "pinia";
import { createApp } from "vue";
import App from "./App.vue";

import "@/main.scss";

const app = createApp(App);

app.use(Advent22Plugin);
app.use(FontAwesomePlugin);

app.use(createPinia());
advent22Store().init();

app.mount("#app");
